\documentclass[11pt]{beamer}
\usetheme{Luebeck}
\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{caption}

\usepackage[style=alphabetic,backend=biber]{biblatex}

\usepackage{xcolor}

%% Defining new colors %%
\definecolor{GrayBlue}{RGB}{0,129,163}
\setbeamercolor{normal text}{fg=black,bg=white}
\setbeamercolor{structure}{fg=GrayBlue}
\setbeamercolor{palette quaternary}{fg=white, bg=black}

\usepackage{algorithmicx}
\usepackage{algorithm}
\usepackage{algpseudocode}

\makeatletter
\newcommand{\algcolor}[2]{%
  \hskip-\ALG@thistlm\colorbox{#1}{\parbox{\dimexpr\linewidth-2\fboxsep}{\hskip\ALG@thistlm\relax #2}}%
}
\newcommand{\algemph}[1]{\algcolor{GrayBlue!50}{#1}}
\makeatother


%% REVISION MACROS %%

\newcommand{\todo}[1]{\textcolor{red}{\textbf{ToDo}\ifx&#1&\else ~[\emph{#1} ]~\fi}}
\newcommand{\fixme}[1]{\textcolor{purple}{\textbf{FixMe}\ifx&#1&\else ~[ \emph{#1} ]~\fi}}

\newcommand{\SB}[1]{\textcolor{orange}{\textbf{Simon}\ifx&#1&\else ~[ \emph{#1} ]~\fi}}
\newcommand{\LAD}[1]{\textcolor{green}{\textbf{Lesly}\ifx&#1&\else ~[ \emph{#1} ]~\fi}}
\newcommand{\FDM}[1]{\textcolor{cyan}{\textbf{Florestan}\ifx&#1&\else ~[ \emph{#1} ]~\fi}}
\newcommand{\BT}[1]{\textcolor{brown}{\textbf{Bastien}\ifx&#1&\else ~[ \emph{#1} ]~\fi}}

%% TEXT MACROS %%

\newcommand{\upmem}{\textsc{Upmem}}
\newcommand{\pim}{PIM}
\newcommand{\kmeans}{$k$-means}

%% MATH OPERATORS %%

\DeclareMathOperator{\argmin}{Argmin}


%% Tikz for picture drawing %%
\usepackage{tikz}
\usetikzlibrary{arrows}

%% Nonumbering for backup slides
\newcommand{\backupbegin}{
   \newcounter{finalframe}
   \setcounter{finalframe}{\value{framenumber}}
}
\newcommand{\backupend}{
   \setcounter{framenumber}{\value{finalframe}}
 }

%%
\title{Evaluating a \textit{Processing-in-Memory} Architecture with the \kmeans{} Algorithm}
\date{December 8th, 2016}
\author{Simon Bihel, Lesly-Ann Daniel, \\ Florestan De Moor, Bastien Thomas
\\ ~ \\ Supervised by Dominique Lavenier}

%%
\useoutertheme[subsection=false]{smoothbars}

\setbeamertemplate{footline}{\hspace*{\fill}\insertframenumber/\inserttotalframenumber\hspace*{0.3cm}}
\setbeamerfont{footline}{series=\bfseries,size=\fontsize{8}{12}\selectfont}
\setbeamertemplate{navigation symbols}{}
\setbeamertemplate{bibliography item}[text]

\addbibresource{../report/tex/biblio.bib}

\graphicspath{{../report/img/}}

\begin{document}


\begin{frame}
\maketitle
\end{frame}

\section*{Introduction}
\label{sec:intro}
\input{tex/intro}

\begin{frame}[noframenumbering]{Outline}
\tableofcontents
\end{frame}

\section{\upmem{} architecture}
\frame[noframenumbering]{\frametitle{Outline}\tableofcontents[currentsection]}

\label{sec:pimupmem}
\input{tex/pimupmem}

\section{\kmeans{} algorithm on \upmem{}}
\frame[noframenumbering]{\frametitle{Outline}\tableofcontents[currentsection]}

\label{sec:kmeansupmem}
\input{tex/kmeansupmem}

\label{sec:kmeansenhancements}
\input{tex/kmeansenhancements}

\section{Experimental Evaluation}
\frame[noframenumbering]{\frametitle{Outline}\tableofcontents[currentsection]}

\label{sec:evaluation}
\input{tex/evaluation}

\section{Conclusion}

\begin{frame}{Conclusion}

\begin{block}{Context}
\begin{itemize}
    \item \upmem{} architecture: massively parallel
    \item Designed for data-intensive applications
\end{itemize}
\end{block}

\vfill

\begin{alertblock}{Our goal}
\begin{itemize}
    \item Implement a parallel $k$-means algorithm using the simulator
    \item Evaluate the performances of the architecture
\end{itemize}
\end{alertblock}

\end{frame}

\backupbegin
\begin{frame}[allowframebreaks]{References}
\printbibliography
\end{frame}
\backupend


\end{document}
